curl --request POST \
--url https://api.lighthousefh.com/v1/generation-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"development_stage": "testing",
"display_config": {
"group": "summary",
"location": "summary",
"occurring_is_positive": true
},
"display_name": "<string>",
"execution_type": "summary",
"instructions": "<string>",
"label": "<string>",
"exact_phrases": [
{
"match_percentage": 123,
"phrase": "<string>"
}
],
"example_limit": 123,
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_type": "at_need"
}
'{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"development_stage": "testing",
"display_config": {
"group": "summary",
"location": "summary",
"occurring_is_positive": true
},
"display_name": "<string>",
"execution_type": "summary",
"instructions": "<string>",
"label": "<string>",
"template_type": "at_need",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exact_phrases": [
{
"match_percentage": 123,
"phrase": "<string>"
}
],
"example_limit": 123,
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"message": "<string>",
"request_id": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
testing, live Show child attributes
summary, data_extraction, occurred_with_examples, is_true Show child attributes
at_need, pre_need curl --request POST \
--url https://api.lighthousefh.com/v1/generation-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"development_stage": "testing",
"display_config": {
"group": "summary",
"location": "summary",
"occurring_is_positive": true
},
"display_name": "<string>",
"execution_type": "summary",
"instructions": "<string>",
"label": "<string>",
"exact_phrases": [
{
"match_percentage": 123,
"phrase": "<string>"
}
],
"example_limit": 123,
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_type": "at_need"
}
'{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"development_stage": "testing",
"display_config": {
"group": "summary",
"location": "summary",
"occurring_is_positive": true
},
"display_name": "<string>",
"execution_type": "summary",
"instructions": "<string>",
"label": "<string>",
"template_type": "at_need",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exact_phrases": [
{
"match_percentage": 123,
"phrase": "<string>"
}
],
"example_limit": 123,
"organization_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"message": "<string>",
"request_id": "<string>"
}